Subject: Re: [PATCH net] bridge: clean the nf_bridge status when forwarding the skb

From: Antonio Quartulli <[email-masked]>
Date: Mon, 21 Oct 2013 17:06:39 +0200

On Mon, Oct 21, 2013 at 11:00:48AM -0400, Vlad Yasevich wrote:
> >>
> >> Looking at other encapsulators (PPP, iptunnel, VXLAN), they do
> >> nf_reset() on input.  Would that be appropriate for batman as well?
> >
> > I thought that too.
> >
> > But at this point, wouldn't it be better to do a reset here and remove the other
> > resets from any other encapsulation module?
> >
> > Maybe this operation is supposed to not happen if no encapsulation is involved?
> 
> This is exactly right.  The reset happens much later if there is no 
> encapsulation.  However, if there is an encapsuation that changes the 
> hader values that are used to filter, then nf_reset has to happen.
> That is why nf_reset happens input to the encapsulation layer instead
> of always on output from bridge.

I see.

Then I think that this patch can be dropped.
I will provide another patch to batman-adv so that it can reset the nf state
before extracting the payload packet.

Thanks a lot for your feedback!

Regards,

-- 
Antonio Quartulli